# $Revision: 1.4.2.1 $, $Date: 2003/06/29 11:58:37 $
Summary:	Theme based on StarTrek LCARS console
Summary(pl):	Motyw bazujcy na konsoli komputerw z serialu StarTrek
Name:		mozilla-theme-LCARStrek
%define		_realname	LCARStrek
Version:	1.3
%define	fver	%(echo %{version} | tr -d .)
Release:	1
Epoch:		1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://www.hirsch.sth.ac.at/~robert/kairo.at/dl/%{_realname}%{fver}.xpi
# Source0-md5:	22de9d73178df965d33e4057106d1e30
Source1:	%{_realname}-installed-chrome.txt
URL:		http://www.kairo.at/download/mozskins.html
BuildRequires:	unzip
Requires(post,postun):	textutils
Requires:	mozilla >= 1.2.1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Theme based on StarTrek LCARS console.

%description -l pl
Motyw bazujcy na wygldzie konsol komputerw z serialu StarTrek.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip %{SOURCE0} -d $RPM_BUILD_ROOT%{_chromedir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_chromedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
umask 022
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mozilla-theme-LCARStrek.spec,v $
Revision 1.4.2.1  2003/06/29 11:58:37  marcus
- updated to 1.3 for mozilla 1.2.1

Revision 1.11  2003/06/29 11:57:23  marcus
- updated to 1.3

Revision 1.10  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 05:50:45  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/02/23 23:59:19  ankry
- s/Temat/Motyw/g

Revision 1.7  2003/01/20 22:50:57  qboosh
- use umask in scripts, Requires(post,postun): textutils (cat)

Revision 1.6  2003/01/18 22:54:54  juandon
- removed two lines with define

Revision 1.5  2002/06/24 13:07:21  jojoro
- ver 1.0
- URL update

Revision 1.4  2002/06/23 18:35:29  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.3  2002/06/23 17:17:37  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.2  2002/06/22 23:20:40  qboosh
- cleanups and cosmetics, added en description

Revision 1.1  2002/06/21 18:55:28  jojoro
- initial release
